<?php
require_once("../conf.php");
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>phpDatabaseForm - Basic Form</title>
</head>
<body>

<?php
$dbForm = new C_DatabaseForm("SELECT EmployeeID, LastName, FirstName, Gender, Title, Notes  FROM Employees", "EmployeeID", "Employees");

$dbForm -> set_col_property("EmployeeID", array("formoptions"=>array("rowpos"=>1,"colpos"=>1)));

$dbForm -> set_col_property("LastName", array("formoptions"=>array("rowpos"=>2,"colpos"=>1)));
$dbForm -> set_col_property("FirstName", array("formoptions"=>array("rowpos"=>2,"colpos"=>2)));

$dbForm -> set_col_property("Gender", array("formoptions"=>array("rowpos"=>3,"colpos"=>1)));
$dbForm -> set_col_property("Title", array("formoptions"=>array("rowpos"=>3,"colpos"=>2)));

$dbForm -> set_col_wysiwyg('Notes');
$dbForm -> set_col_property("Notes", array("formoptions"=>array("rowpos"=>4,"cols"=>1)));
$dbForm -> set_col_property("Notes", array("editoptions"=>array("style"=>"width:95%;")));

$dbForm -> display();
?>

<script> 
// set <textarea> to always have the full width of the form. Make sure nothing else is sharing the same row! 
$(document).ready(function(){ 
    var grid=$("#Employees");      // your jqGrid (the <table> element) 
    var orgEditGridRow = grid.jqGrid.editGridRow; // save original function 
    $.jgrid.extend ({editGridRow : function(rowid, p){ 
        $.extend(p, 
            { 
                beforeShowForm : function(form) { 
                    form = $(form); 
                    $("tr", form).each(function() { 
                        var inputs = $(">td.DataTD:has(textarea)",this); 
                        if (inputs.length == 1) { 
                            var tds = $(">td", this); 
                            tds.eq(1).attr("colSpan", tds.length - 1); 
                            tds.slice(2).hide(); 
                        } 
                    }); 
                } 
            }); 
        orgEditGridRow.call (this,rowid, p); 
    }}); 
}); 
</script> 

</body>
</html>